dbXML API

## org.dbxml.core.corba
Class DatabaseServant

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.DatabasePOA
                  |
                  +--org.dbxml.core.corba.DatabaseServant

All Implemented Interfaces:
  DatabaseOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class DatabaseServant
extends DatabasePOA

Database CORBA wrapper for org.dbxml.core.Database For detailed documentation

See Also:
  `Database`

Constructor Summary
`DatabaseServant(Database db, org.dbxml.server.Kernel kernel)`

Method Summary
`Collection` `getCollection(java.lang.String nam)`
`DatabaseManager` `getDatabaseManager()`
`java.lang.String` `getName()`
`java.lang.String[]` `listCollections()`
`void` `remove()`

Methods inherited from class org.dbxml.core.corba.db.DatabasePOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseServant

    public DatabaseServant(Database db,
                           org.dbxml.server.Kernel kernel)

Method Detail

### getName

    public java.lang.String getName()
                             throws APIException

### getDatabaseManager

    public DatabaseManager getDatabaseManager()
                                       throws APIException

### listCollections

    public java.lang.String[] listCollections()
                                       throws APIException

### getCollection

    public Collection getCollection(java.lang.String nam)
                             throws APIException

### remove

    public void remove()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved